# $Revision: 1.95 $, $Date: 2012/02/07 22:06:00 $
# TODO:
# - perl/python/tcl bindings subpackages
#
# Conditional build:
%bcond_with	tcl	# Tcl/Tk bindings
#
Summary:	File transfer utilities between Linux and PalmPilots
Summary(es.UTF-8):	Bibliotecas estáticas necesarias para generar aplicaciones Pilot
Summary(pl.UTF-8):	Narzędzia do przesyłania plików między Linuksem a PalmPilotami
Summary(pt_BR.UTF-8):	Utilitários de transferência de dados entre Unix e o Pilot
Summary(ru.UTF-8):	Утилита пересылки файлов между Linux и PalmPilot
Summary(uk.UTF-8):	Утиліта пересилки файлів між Linux та PalmPilot
Name:		pilot-link
Version:	0.12.5
Release:	3
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://downloads.pilot-link.org/%{name}-%{version}.tar.bz2
# Source0-md5:	568c55bf504b044f6fbd50baa407c990
Patch0:		%{name}-ac.patch
Patch1:		%{name}-open.patch
Patch2:		%{name}-man.patch
Patch3:		%{name}-libpng.patch
URL:		http://www.pilot-link.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bluez-libs-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-base >= 1:5.6
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	readline-devel >= 5.0
%if %{with tcl}
BuildRequires:	tcl-devel >= 8.3.2
BuildRequires:	tk-devel >= 8.3.2
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot. It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical. Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Now also with support for USB PalmOS devices (Sony CLIE, Palm m5xx,
Handspring Visor).

%description -l es.UTF-8
Bibliotecas estáticas necesarias para generar aplicaciones Pilot.

%description -l pl.UTF-8
Ten zestaw narzędzi pozwala na przesyłanie programów i plików z danymi
pomiędzy maszyną linuksową/uniksową a PalmPilotem. Ma kilka
dodatkowych narzędzi pozwalających na synchronizację kalendarza
PalmPilota z programem Ical. Aby używać interfejsu do Pythona, Tcl lub
Perla, może zaistnieć potrzeba zajrzenia do źródeł pilot-linka.

Obecna wersja działa również z urządzeniami z PalmOS wyposażonymi w
port USB (Sony CLIE, Palm m5xx, Handspring Visor).

%description -l pt_BR.UTF-8
Este conjunto de ferramentas permite transferir programas e dados
entre máquinas *nix e o Palm Pilot. Alguns utilitários extras permitem
coisas como sincronizar dados entre o calendário do Pilot e o Ical.

%description -l uk.UTF-8
Цей набір інструментів дозволяє вам переносити програми та файли даних
між системами Linux та PalmPilot. Він має також кілька додаткових
утиліт, які забезпечують такі речі як синхронизація календаря
PalmPilot та Ical.

%description -l ru.UTF-8
Этот набор инструментов позволяет вам переносить программы и файлы
данных между системами Linux и PalmPilot. Он имеет также несколько
дополнительных утилит, обеспечивающих такие вещи как синхронизация
календаря PalmPilot и Ical.

%package devel
Summary:	Pilot development header files
Summary(es.UTF-8):	Archivos de inclusión para el desarrollo de programas
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki pilot-link
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o desenvolvimento de programas
Summary(ru.UTF-8):	Файлы для разработки программ взаимодействия с PalmPilot
Summary(uk.UTF-8):	Файли для розробки програм взаємодії з PalmPilot
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development headers that are used to build
the pilot-link package.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión necesarios para crear
aplicaciones Pilot.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe używane przy budowaniu pakietu
pilot-link.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão necessários para gerar
aplicações Pilot.

%description devel -l ru.UTF-8
Этот пакет содержит файлы заголовков C для построения программ
взаимодействия с PalmPilot.

%description devel -l uk.UTF-8
Цей пакет містить файли заголовків C для побудови програм взаємодії з
PalmPilot.

%package static
Summary:	Pilot link static libraries
Summary(es.UTF-8):	Bibliotecas estáticas necesarias para crear aplicaciones Pilot
Summary(pl.UTF-8):	Statyczne biblioteki pilot-link
Summary(pt_BR.UTF-8):	Bibliotecas estáticas necessárias para gerar aplicações Pilot
Summary(ru.UTF-8):	Статические библиотеки для разработки программ взаимодействия с PalmPilot
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм взаємодії з PalmPilot
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Pilot link static libraries.

%description static -l es.UTF-8
Este paquete contiene las bibliotecas estáticas necesarias para crear
aplicaciones Pilot.

%description static -l pl.UTF-8
Statyczne biblioteki pilot-link.

%description static -l pt_BR.UTF-8
Este pacote contém as bibliotecas estáticas necessárias para gerar
aplicações Pilot.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для построения программ
взаимодействия с PalmPilot.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для побудови програм взаємодії з
PalmPilot.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%if "%{_lib}" == "lib64"
%{__sed} -i -e 's#/lib #/lib64 #g' -e 's#/lib/#/lib64/#g' m4/python.m4
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	%{!?debug:--disable-debug} \
	--enable-conduits \
	--enable-threads \
	--enable-libusb \
	--with-bluez \
	--with-libpng=%{_prefix} \
	--without-included-popt \
	--with-perl \
	%{!?with_tcl:--without-tcl}%{?with_tcl:--with-tcl=%{_ulibdir}} \
	--with-python


# perl part fails with -jN > 1
%{__make} -j1 \
	LIBDIR="%{_datadir}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README* doc/README.usb doc/README.debugging NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libpisock.so.9
%attr(755,root,root) %ghost %{_libdir}/libpisync.so.1
%{_datadir}/pilot-link
%{_mandir}/man[17]/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pilot-link.spec,v $
Revision 1.95  2012/02/07 22:06:00  arekm
- release 3

Revision 1.94  2011/09/09 18:43:07  arekm
- release 2

Revision 1.93  2010/02/10 20:37:03  sparky
- BR: perl-devel

Revision 1.92  2010/02/10 14:03:22  lisu
- up to 0.12.5

Revision 1.91  2010/02/04 21:39:41  sparky
- BR: perl-ExtUtils-MakeMaker, pkgconfig, python-modules

Revision 1.90  2010/02/04 10:09:14  lisu
- ghost soname symlinks

Revision 1.89  2010/02/04 10:02:20  lisu
- updated to 0.12.4
- use sed macro
- GPL v2+ license

Revision 1.88  2010/01/28 20:52:05  arekm
- rel 6; libpng fix

Revision 1.87  2010/01/28 19:56:03  arekm
- release 5

Revision 1.86  2009/02/23 22:07:47  arekm
- release 4

Revision 1.85  2009/02/04 12:39:05  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.84  2009/01/27 22:00:54  hawk
- release 2

Revision 1.83  2008/08/31 18:43:10  arekm
- always install man pages

Revision 1.82  2008/08/31 18:25:12  arekm
- up to 0.12.3

Revision 1.81  2008/08/31 17:01:57  arekm
- release 3

Revision 1.80  2007-09-06 16:44:32  baggins
- rel 2
- fixed pilot-link.m4 file

Revision 1.79  2007/09/05 14:44:25  baggins
- 0.12.2

Revision 1.78  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.77  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.76  2007/01/23 20:51:45  glen
- mention soname change

Revision 1.75  2007/01/22 22:47:45  glen
- perl part fails with -jN > 1

Revision 1.74  2007/01/17 11:25:18  qboosh
- bcond desc

Revision 1.73  2007/01/16 22:03:29  arekm
- df workaround for site blocking wget

Revision 1.72  2007/01/16 21:53:54  arekm
- up to 0.12.1, new soname

Revision 1.71  2007/01/14 18:35:55  arekm
- rel 8

Revision 1.70  2006/02/22 22:58:10  freetz
- rel.7, removed (propably redundant) XFree86-devel BR

Revision 1.69  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.68  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.67  2004/10/28 14:24:04  tiwek
- added hack to setting convert charset
- export PILOTCHARSET=

Revision 1.66  2004/05/09 05:33:58  ankry
- BR fixes, rel. 4

Revision 1.65  2004/03/15 22:36:49  qboosh
- added iconv-in-glibc patch, release 3

Revision 1.64  2004/02/12 20:14:56  qboosh
- strict internal deps

Revision 1.63  2003/12/30 02:42:12  qboosh
- added am18 patch, release 2

Revision 1.62  2003/10/14 12:45:52  qboosh
- added link patch, cleanups

Revision 1.61  2003/07/21 20:34:01  grzegol
- updated to 0.11.8
- added tcl_m4 patch (adds ommited tcl.m4 file)
- cosmetics

Revision 1.60  2003/06/12 14:40:33  qboosh
- removed obsolete configure patch and sed workaround

Revision 1.59  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.58  2003/05/25 06:25:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/01/20 15:11:13  undefine
- updated to 0.11.7
- more README*
- %{name}-configure is needed? :/

Revision 1.56  2003/01/17 08:32:47  tiwek
-added patch to configure.in for building with iconv support
 (needed to compile Evolution with PalmPilot support)

Revision 1.55  2003/01/08 21:42:13  klakier
- ver 0.11.6
- added workaround for undetected 'sed'

Revision 1.54  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.53  2002/10/09 17:05:02  kloczek
- merge translations from KSI.

Revision 1.52  2002/10/09 13:14:44  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/10/09 07:27:25  marcus
- finished upgrade

Revision 1.50  2002/10/09 06:56:39  marcus
- updated to 0.11.5

Revision 1.49  2002/07/11 01:24:03  rrw
- added buildreq for perl-devel;
- added info about usb models to description;

Revision 1.48  2002/07/01 16:10:23  kloczek
- use new %doc.

Revision 1.47  2002/07/01 10:46:04  rrw
- upgraded to 0.10.99;
- WARNING! this is development release and shouldn't go to base until 0.11
  is released; on the other hand this development release is needed when
  you want to use it with USB PalmOS devices (all Sony CLIÉ models,
  Palm m500/m505/m515 and Handspring Visors);
- removed all patches, all those issues are resolved in current development
  version;
- structure of (sub)packaging needs rethinking since there is clear support
  for several different programming languages;
- release 1;

Revision 1.46  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.45  2002/05/21 23:14:23  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.44  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:14:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/12/07 15:38:21  qboosh
- pl translations, cosmetics; release 12

Revision 1.40  2001/11/24 09:28:24  kloczek
- relase 11,
- merge gcc3 patch from rawhide,
- merge translations from Conectiva,
- added ac_fixes patch (now pilot-link build correctly if ac files are
  regeneratewd).

Revision 1.39  2001/05/12 03:44:21  kloczek
- release 4: make libtool hapy.

Revision 1.38  2001/04/14 02:13:50  kloczek
- release 3,
- merged ack rawhide patch,
- added URL,
- rebuild against readline 4.2,
- added using %%{rpmcflags}, %%{rpmldflags} macro.

Revision 1.37  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.36  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.35  2000/12/22 04:38:35  kloczek
- updated to 0.9.5,
- rebuild against tcl/tk 8.3.5.

Revision 1.34  2000/10/27 09:28:26  kloczek
- release 11: use new rpm automation.

Revision 1.33  2000/07/13 23:19:01  baggins
- release 5
- rebuild with ncurses 5.1

Revision 1.32  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.30  2000/04/12 05:07:59  kloczek
- release 4,
- rebuild against readline >= 4.1.

Revision 1.29  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.27  1999/11/16 18:37:17  kloczek
- release 3,
- build agains ncurses 5.0,
- new Summary and %%description from rawhide spec.

Revision 1.26  1999/09/25 00:23:19  kloczek
- release 2,
- added DESTDIR patch,
- added using %configure macro.

Revision 1.25  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.24  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

